# Documentation

This is the home of documentation for iPlug 2, which is a work in progress.

If you're viewing this as a markdown file on github, you can see the doxygen version [here](https://iplug2.github.io/iPlug2/).

In the future, this will include some tutorials and guides, but for now it's just the doxygen docs for the classes. Most classes and files have been entered, but many methods are not yet documented, or are documented with out of date information.

In the meantime, you can read two academic papers that we wrote about the project, which are in the documentation folder, and you can watch the accompanying presentations on youtube:

1 - International Faust Conference (IFC 2018) [PAPER](https://github.com/iPlug2/iPlug2/raw/master/Documentation/Papers/IFC2018.pdf) | [VIDEO](https://youtu.be/SLHGxBYeID4)

2 - Web Audio Conference (WAC2018) [PAPER](https://github.com/iPlug2/iPlug2/raw/master/Documentation/Papers/WAC2018.pdf) | [VIDEO](https://youtu.be/DDrgW4Qyz8Y)


Try iPlug 2 examples online here:

* **IGraphicsTest** : [WebGL](https://iplug2.github.io/webgl/IGraphicsTest/) | [HTML5 Canvas](https://iplug2.github.io/canvas/IGraphicsTest/)
* **IPlugEffect** : [WebGL](https://iplug2.github.io/webgl/IPlugEffect/)
* **IPlugInstrument (Work in progress)** : [WebGL](https://iplug2.github.io/webgl/IPlugInstrument/) | [HTML5 Canvas](https://iplug2.github.io/canvas/IPlugInstrument/)

<!--
## Introduction

### Requirements
iPlug 2 requires a compiler that supports C++11, and is tested with MS Visual Studio 2017 and Xcode 10. It is developed to target Windows 7 or higher and macOS 10.7+. If you wish to compile for older operating systems it may be possible, but will require adjusting some settings.

## About this documentation
### Where do I begin?
See [Getting Started](md_quickstart.html) and check out the [Examples](md_examples.html)

### How do I upgrade an old WDL-OL project?
See [How to Upgrade](md_upgrade.html)

### Experienced developers
See [Advanced Documentation](md_advanced.html) and if you would like to contribute to the project, check the [Code Style](md_codingstyle.html)

-->